<?php
/**
 * ZeptoCoreJs class file
 *
 * @author Pavel Volyntsev <pavel.volyntsev@gmail.com>
 * @link http://copist.ru/blog/2014/05/20/zepto-jquery-angular-yii-trough-cdn
 * @license http://www.opensource.org/licenses/bsd-license.php
 * @version 1.0
 */

/**
 * Виджет для регистрации основных библиотек Javascript zepto или jquery, в зависимости от возможностей браузера
 */
class ZeptoCoreJs extends CWidget
{
	protected $_assetsDir;

	public function run()
	{
		/** @var $assetManager CAssetManager */
		$assetManager = Yii::app()->assetManager;
		// опубликовать в ресурсы все скрипты, которые есть в папке /assets/ - там jquery и zepto
		$this->_assetsDir = $assetManager->publish(dirname(__FILE__) . '/assets/');

		// код выбора библиотеки
		$script = <<<SCRIPT
if ('__proto__' in {}) {
	document.write('<script src="{$this->_assetsDir}/zepto/zepto.min.js"><\/script>');
} else {
	document.write('<script src="{$this->_assetsDir}/jquery/jquery.min.js"><\/script>');
}
SCRIPT;

		// подключение к странице
		static $scriptInserted;
		if (!$scriptInserted)
		{
			echo CHtml::script($script);
		}
		$scriptInserted = true;
	}
}